=== debian/changelog ===
obs-stroke-glow-shadow (1.5.2-3) unstable; urgency=medium

  * debian/patches/020_add-pt-BR.patch: fixed typos.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 04 Apr 2025 17:16:16 -0300

obs-stroke-glow-shadow (1.5.2-2) unstable; urgency=medium

  * Upload to unstable.
  * Providing the README.md file from upstream and a plain text version
    of it. Consequently:
      - debian/control: added pandoc to Build-Depends field.
      - debian/docs: created to install README.md.
      - debian/rules: created the target execute_after_dh_installdocs to
        generate the plain text.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 04 Apr 2025 00:01:39 -0300

obs-stroke-glow-shadow (1.5.2-1) experimental; urgency=medium

  * Initial release. (Closes: #1101797)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 31 Mar 2025 23:14:59 -0300
