=== debian/control ===
Source: obs-stroke-glow-shadow
Section: video
Priority: optional
Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13), cmake, libobs-dev, pandoc
Standards-Version: 4.7.2
Homepage: https://obsproject.com/forum/resources/stroke-glow-shadow.1800/
Vcs-Browser: https://salsa.debian.org/debian/obs-stroke-glow-shadow
Vcs-Git: https://salsa.debian.org/debian/obs-stroke-glow-shadow.git

Package: obs-stroke-glow-shadow
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, obs-studio
Enhances: obs-studio
Description: plugin for OBS Studio to create strokes, glow and shadows
 This plugin offers an efficient way to apply Stroke, Glow and Shadow effects
 to masked sources in OBS. Is possible to use these effects on everything from
 a chroma-keyed facecam to a native OBS text source. All three effects allow
 for inner and outer applications. Additionally, all three effects offer
 options for solid color or another OBS source to be used for the fill type.
 Lastly, all three effects are available as both inline filters and as separate
 sources.
 .
 The stroke effect draws a line with user-definable stroke size and offset
 around the masked source.
 .
 The glow effect draws a feathered stroke with a user-defined size and
 intensity around the masked source.
 .
 The shadow effect draws an offset drop-shadow simulating a light causing the
 selected source to cast a shadow, giving the effect of the source floating off
 the canvas.
