=== debian/watch ===
version=4
https://github.com/FiniteSingularity/obs-stroke-glow-shadow/tags .*/tags/v?(\d\S+)\.tar\.(?:bz2|gz|xz)
