=== debian/changelog ===
obs-stroke-glow-shadow (1.5.3-1) unstable; urgency=medium

  * New upstream version 1.5.3.
  * debian/control:
      - Bumped Standards-Version to 4.7.3.
      - Removed no longer needed "Priority: optional" field.
      - Removed no longer needed "Rules-Requires-Root: no" field.
  * debian/copyright: updated packaging copyright years.
  * debian/patches/010_change-project-name.patch: updated to make it compliant
    with the new upstream version.
  * debian/watch: migrated to version 5.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 12 Feb 2026 18:02:49 -0300
