=== debian/watch ===
Version: 5

Template: Github
Owner: FiniteSingularity
Project: obs-stroke-glow-shadow
